package a3test.debug;

import jp.sourceforge.acerola3d.a3.*;
import javax.vecmath.*;

public class CoodCalTest {
    public static void main(String args[]) throws Exception {
        A3Window w = new A3Window(300,300);
        Action3D a3 = new Action3D("x-res:///axis.a3");
        w.add(a3);
        w.setAvatar(a3);
        w.setProjectionMode(ProjectionMode.PARALLEL);
        w.setCanvasWidthInPWorld(2.0);

        Thread.sleep(100);
        Point3d p = w.canvasToPhysicalCS(150,150,2.0);
        System.out.println("予測: (0.0, 0.0, -2.0)");
        System.out.println("実際:"+p);

        System.exit(0);
    }
}
